Web lists-archives.com

Re: apt-get dist-upgrade uninstalled most of KDE




Start-Date: 2017-08-16  11:30:15
Commandline: apt-get dist-upgrade
Requested-By: marco (1000)
Install: libx265-130:amd64 (2.5-2, automatic), libc-ares2:amd64
(1.13.0-2, automatic), gnupg-utils:amd64 (2.1.23-2, automatic),
gpg-wks-client:amd64 (2.1.23-2, automatic), gnupg-l10n:amd64
(2.1.23-2, automatic), gpg-wks-server:amd64 (2.1.23-2, automatic),
gpg:amd64 (2.1.23-2, automatic), gnuplot-x11:amd64 (5.0.6+dfsg1-1,
automatic), libdirectfb-1.7-7:amd64 (1.7.7-5, automatic),
gpg-agent:amd64 (2.1.23-2, automatic), gpgconf:amd64 (2.1.23-2,
automatic), gpgsm:amd64 (2.1.23-2, automatic)
Upgrade: vlc-bin:amd64 (2.2.6-4, 2.2.6-4+b1), tex-common:amd64 (6.07,
6.08), vlc-plugin-video-output:amd64 (2.2.6-4, 2.2.6-4+b1),
libqgsttools-p1:amd64 (5.7.1~20161021-2, 5.9.1-2), libavformat57:amd64
(7:3.3.3-2, 7:3.3.3-3), libpangoft2-1.0-0:amd64 (1.40.6-1, 1.40.9-1),
libavfilter6:amd64 (7:3.3.3-2, 7:3.3.3-3),
qt5-image-formats-plugins:amd64 (5.7.1~20161021-2, 5.9.1-1),
qml-module-qtquick-window2:amd64 (5.7.1-2+b2, 5.9.1-5),
libqt5test5:amd64 (5.7.1+dfsg-4, 5.9.1+dfsg-7),
qml-module-qtwebkit:amd64 (5.7.1+dfsg-1, 5.9.1+dfsg-2), ffmpeg:amd64
(7:3.3.3-2, 7:3.3.3-3), vim-common:amd64 (2:8.0.0197-5, 2:8.0.0946-1),
gnupg-agent:amd64 (2.1.18-8, 2.1.23-2), vlc-plugin-samba:amd64
(2.2.6-4, 2.2.6-4+b1), qt5-gtk-platformtheme:amd64 (5.7.1+dfsg-4,
5.9.1+dfsg-7), qml-module-qtquick2:amd64 (5.7.1-2+b2, 5.9.1-5),
libqt5help5:amd64 (5.7.1-1, 5.9.1-2), libswresample2:amd64 (7:3.3.3-2,
7:3.3.3-3), vlc-plugin-qt:amd64 (2.2.6-4, 2.2.6-4+b1),
qml-module-qt-labs-folderlistmodel:amd64 (5.7.1-2+b2, 5.9.1-5),
heroku:amd64 (6.13.13-1, 6.13.17-1), libqt5multimedia5:amd64
(5.7.1~20161021-2, 5.9.1-2), libopenmpt0:amd64 (0.2.8461~beta26-1,
0.2.8760~beta27-1), vlc-plugin-skins2:amd64 (2.2.6-4, 2.2.6-4+b1),
vlc-plugin-visualization:amd64 (2.2.6-4, 2.2.6-4+b1),
libvigraimpex6:amd64 (1.10.0+git20160211.167be93+dfsg-4,
1.10.0+git20160211.167be93+dfsg-5), libqt5dbus5:amd64 (5.7.1+dfsg-4,
5.9.1+dfsg-7), libqt5sql5-sqlite:amd64 (5.7.1+dfsg-4, 5.9.1+dfsg-7),
nodejs:amd64 (4.8.4~dfsg-1, 6.11.2~dfsg-2),
qml-module-qtquick-layouts:amd64 (5.7.1-2+b2, 5.9.1-5),
libqt5widgets5:amd64 (5.7.1+dfsg-4, 5.9.1+dfsg-7),
vlc-plugin-notify:amd64 (2.2.6-4, 2.2.6-4+b1), libvlc5:amd64 (2.2.6-4,
2.2.6-4+b1), gir1.2-pango-1.0:amd64 (1.40.6-1, 1.40.9-1),
gstreamer1.0-plugins-bad:amd64 (1.12.2-1, 1.12.2-1+b1),
libnet-http-perl:amd64 (6.12-1, 6.16-1),
qml-module-qtqml-models2:amd64 (5.7.1-2+b2, 5.9.1-5),
qml-module-qt-labs-settings:amd64 (5.7.1-2+b2, 5.9.1-5),
libpostproc54:amd64 (7:3.3.3-2, 7:3.3.3-3), libvlccore8:amd64
(2.2.6-4, 2.2.6-4+b1), libvlc-bin:amd64 (2.2.6-4, 2.2.6-4+b1),
libqt5xml5:amd64 (5.7.1+dfsg-4, 5.9.1+dfsg-7),
libqt5printsupport5:amd64 (5.7.1+dfsg-4, 5.9.1+dfsg-7),
libqt5qml5:amd64 (5.7.1-2+b2, 5.9.1-5), dirmngr:amd64 (2.1.18-8,
2.1.23-2), libqt5designercomponents5:amd64 (5.7.1-1, 5.9.1-2),
libqt5multimediawidgets5:amd64 (5.7.1~20161021-2, 5.9.1-2),
libdatetime-format-strptime-perl:amd64 (1.7300-1, 1.7400-1),
libqt5concurrent5:amd64 (5.7.1+dfsg-4, 5.9.1+dfsg-7),
libpangoxft-1.0-0:amd64 (1.40.6-1, 1.40.9-1), libqt5gui5:amd64
(5.7.1+dfsg-4, 5.9.1+dfsg-7), libqt5multimedia5-plugins:amd64
(5.7.1~20161021-2, 5.9.1-2), libqt5quickwidgets5:amd64 (5.7.1-2+b2,
5.9.1-5), libpangocairo-1.0-0:amd64 (1.40.6-1, 1.40.9-1),
libopenmpt-modplug1:amd64 (0.2.8461~beta26-1, 0.2.8760~beta27-1),
libqt5multimediaquick-p5:amd64 (5.7.1~20161021-2, 5.9.1-2),
libavcodec57:amd64 (7:3.3.3-2, 7:3.3.3-3), libqt5webkit5:amd64
(5.7.1+dfsg-1, 5.9.1+dfsg-2), libqt5script5:amd64
(5.7.1~20161021+dfsg-2, 5.9.1+dfsg-2), vim-runtime:amd64
(2:8.0.0197-5, 2:8.0.0946-1), gpgv:amd64 (2.1.18-8, 2.1.23-2),
vim:amd64 (2:8.0.0197-5+b1, 2:8.0.0946-1), vlc:amd64 (2.2.6-4,
2.2.6-4+b1), libavutil55:amd64 (7:3.3.3-2, 7:3.3.3-3),
libqt5core5a:amd64 (5.7.1+dfsg-4, 5.9.1+dfsg-7), libavdevice57:amd64
(7:3.3.3-2, 7:3.3.3-3), python3-numexpr:amd64 (2.6.2-1, 2.6.2-2),
xxd:amd64 (2:8.0.0197-5+b1, 2:8.0.0946-1), libswscale4:amd64
(7:3.3.3-2, 7:3.3.3-3), qdbus-qt5:amd64 (5.7.1-1, 5.9.1-2),
vlc-plugin-video-splitter:amd64 (2.2.6-4, 2.2.6-4+b1), gnupg2:amd64
(2.1.18-8, 2.1.23-2), libqt5opengl5:amd64 (5.7.1+dfsg-4,
5.9.1+dfsg-7), qml-module-qtmultimedia:amd64 (5.7.1~20161021-2,
5.9.1-2), libqt5xmlpatterns5:amd64 (5.7.1~20161021-3, 5.9.1-2),
qttranslations5-l10n:amd64 (5.7.1~20161021-1, 5.9.1-1), vim-tiny:amd64
(2:8.0.0197-5+b1, 2:8.0.0946-1), qttools5-dev-tools:amd64 (5.7.1-1,
5.9.1-2), libqt5network5:amd64 (5.7.1+dfsg-4, 5.9.1+dfsg-7),
gnupg:amd64 (2.1.18-8, 2.1.23-2), vlc-plugin-base:amd64 (2.2.6-4,
2.2.6-4+b1), libqt5designer5:amd64 (5.7.1-1, 5.9.1-2),
libpango-1.0-0:amd64 (1.40.6-1, 1.40.9-1),
libgstreamer-plugins-bad1.0-0:amd64 (1.12.2-1, 1.12.2-1+b1),
libqt5quick5:amd64 (5.7.1-2+b2, 5.9.1-5), libavresample3:amd64
(7:3.3.3-2, 7:3.3.3-3), libqt5sql5:amd64 (5.7.1+dfsg-4, 5.9.1+dfsg-7),
qml-module-qtgraphicaleffects:amd64 (5.7.1~20161021-3, 5.9.1-2),
mplayer:amd64 (2:1.3.0-6+b3, 2:1.3.0-6+b4), libqt5sql5-mysql:amd64
(5.7.1+dfsg-4, 5.9.1+dfsg-7)
Remove: milou:amd64 (4:5.8.4-1), libkf5kiowidgets5:amd64 (5.28.0-2),
libkf5kontactinterface5:amd64 (16.04.2-1),
qml-module-org-kde-kquickcontrolsaddons:amd64 (5.28.0-1),
libkf5akonadicore-bin:amd64 (4:16.04.3-5),
libkf5kdelibs4support5:amd64 (5.28.0-2),
qml-module-org-kde-kquickcontrols:amd64 (5.28.0-1),
qml-module-qtquick-privatewidgets:amd64 (5.7.1~20161021-2),
libkf5texteditor5:amd64 (5.28.0-2), libkf5purpose-bin:amd64 (1.1-5),
dolphin:amd64 (4:16.08.3-3), plasma-workspace:amd64 (4:5.8.7-1),
libtaskmanager6:amd64 (4:5.8.7-1), khelpcenter:amd64 (4:16.08.3-1),
kwalletmanager:amd64 (4:16.08.3-1), kdepim-runtime:amd64
(4:16.04.2-2+b2), libkf5grantleetheme5:amd64 (16.04.3-1),
akonadi-server:amd64 (4:16.04.3-5), libkf5gravatar5:amd64
(4:16.04.2-2), korganizer:amd64 (4:16.04.3-4), libqt5svg5:amd64
(5.7.1~20161021-2+b2), accountwizard:amd64 (4:16.04.3-4), kinit:amd64
(5.28.0-1), kdeconnect:amd64 (1.0.3-1), libkf5calendarsupport5:amd64
(4:16.04.2-2), kde-cli-tools:amd64 (4:5.8.7-1),
kde-config-gtk-style:amd64 (4:5.10.4-1), kpackagelauncherqml:amd64
(5.28.0-1), kdepim-addons:amd64 (16.04.3-1),
ktexteditor-katepart:amd64 (5.28.0-2), libkf5sane5:amd64 (16.08.0-1),
bluedevil:amd64 (4:5.8.7-1), libqt5serialport5:amd64
(5.7.1~20161021-2), libkf5akonadisearchdebug5:amd64 (16.04.3-1+b2),
libkf5kmanagesieve5:amd64 (4:16.04.3-2+b2), plasma-nm:amd64
(4:5.8.6-1), plasma-pa:amd64 (4:5.8.7-1),
plasma-dataengines-addons:amd64 (4:5.8.5-2), libkf5kgeomap10.0.0:amd64
(16.08.0-1+b1), libkf5kiofilewidgets5:amd64 (5.28.0-2), kate:amd64
(4:16.08.3-1), libkf5calendarutils5:amd64 (16.04.3-1),
gnuplot-qt:amd64 (5.0.6+dfsg1-1), libkf5gapicontacts5:amd64 (5.1.0-2),
ark:amd64 (4:16.08.3-2), gwenview:amd64 (4:16.08.3-3),
qml-module-org-kde-draganddrop:amd64 (5.28.0-1),
qml-module-org-kde-kirigami:amd64 (1.1.0-1), libkf5calendarcore5:amd64
(4:16.04.2-1), ksshaskpass:amd64 (4:5.8.4-1), kamera:amd64
(4:16.08.3-1), qml-module-qtquick-controls:amd64 (5.7.1~20161021-2),
plasma-wallpapers-addons:amd64 (4:5.8.5-2), knotes:amd64
(4:16.04.3-4), libkf5declarative5:amd64 (5.28.0-1),
marble-plugins:amd64 (4:16.08.3-1), libkf5gapicore5:amd64 (5.1.0-2),
libkf5akonadimime5:amd64 (4:16.04.2-2),
qml-module-org-kde-purpose:amd64 (1.1-5), systemsettings:amd64
(4:5.8.7-1), kipi-plugins:amd64 (4:5.3.0-1), libdebconf-kde1:amd64
(1.0.2-1+b1), libkf5ksieveui5:amd64 (4:16.04.3-2+b2),
kde-style-breeze:amd64 (4:5.8.5-2), libkf5plasma5:amd64 (5.28.0-2),
libkf5messagecomposer5:amd64 (4:16.04.3-3),
libkf5grantleetheme-plugins:amd64 (16.04.3-1), apper:amd64
(0.9.2+git20161222-3), debconf-kde-helper:amd64 (1.0.2-1+b1),
python3-pyqt5:amd64 (5.7+dfsg-5+b1), kmenuedit:amd64 (4:5.8.4-1),
khotkeys:amd64 (4:5.8.6-1), plasma-discover:amd64 (5.8.5-3),
dragonplayer:amd64 (4:16.08.3-1), libkf5wallet-bin:amd64 (5.28.0-3),
task-kde-desktop:amd64 (3.39), libkf5kdepimdbusinterfaces5:amd64
(4:16.04.2-2), breeze:amd64 (4:5.8.5-2), kde-style-oxygen-qt5:amd64
(4:5.8.4-1), libkf5jsembed5:amd64 (5.28.0-1), python-pyqt5.qtsvg:amd64
(5.7+dfsg-5+b1), libkf5quickaddons5:amd64 (5.28.0-1),
qml-module-qtquick-dialogs:amd64 (5.7.1~20161021-2),
libkf5libkdepim-plugins:amd64 (4:16.04.2-3),
kde-style-qtcurve-qt5:amd64 (1.8.18+git20160320-3d8622c-5),
plasma-desktop:amd64 (4:5.8.7.1-1), kactivitymanagerd:amd64 (5.8.4-1),
libkf5incidenceeditor-bin:amd64 (16.04.2-2+b2),
libkf5akonadisearchpim5:amd64 (16.04.3-1+b2), kio-extras:amd64
(4:16.08.3-1), kaccounts-providers:amd64 (16.08.3-1),
kdepim-themeeditors:amd64 (4:16.04.3-4),
libkf5akonadisearch-plugins:amd64 (16.04.3-1+b2),
libkf5bookmarks5:amd64 (5.28.0-1), kio:amd64 (5.28.0-2),
libkf5baloowidgets5:amd64 (16.04.0-1+b1), user-manager:amd64
(4:5.8.7-1), libkf5khtml-bin:amd64 (5.28.0-2), konsole:amd64
(4:16.12.0-4), kde-style-breeze-qt4:amd64 (4:5.8.5-2),
libkf5runner5:amd64 (5.28.0-1), libkf5notifyconfig5:amd64 (5.28.0-1),
kde-standard:amd64 (5:92), kphotoalbum:amd64 (5.2-2),
libkf5kcmutils5:amd64 (5.28.0-2), kwrite:amd64 (4:16.08.3-1),
software-properties-kde:amd64 (0.96.20.2-1), kde-plasma-desktop:amd64
(5:92), libmarblewidget-qt5-25:amd64 (4:16.08.3-1),
plasma-runners-addons:amd64 (4:5.8.5-2), libkf5newstuff5:amd64
(5.28.0-1), kde-baseapps:amd64 (4:16.08.3-1), libkf5eventviews5:amd64
(4:16.04.2-2), libkf5gapitasks5:amd64 (5.1.0-2), kross:amd64
(5.28.0-1), kde-config-sddm:amd64 (4:5.8.4-1),
kdegraphics-thumbnailers:amd64 (4:16.08.2-2), libkscreenlocker5:amd64
(5.8.7-1), libkf5messageviewer5:amd64 (4:16.04.3-3), kgamma5:amd64
(5.8.4-1), libkf5pimcommon5:amd64 (4:16.04.2-2), kcalc:amd64
(4:16.08.3-1), libkf5xmlgui5:amd64 (5.28.0-1),
libkf5gapicalendar5:amd64 (5.1.0-2), sddm-theme-breeze:amd64
(4:5.8.7-1), libkf5akonadisearch-bin:amd64 (16.04.3-1+b2),
libkf5mailcommon-plugins:amd64 (4:16.04.2-2),
libkf5iconthemes-bin:amd64 (5.28.0-2), libkf5templateparser5:amd64
(4:16.04.3-3), libkf5textwidgets5:amd64 (5.28.0-1), libkf5style5:amd64
(5.28.0-1), libkf5kaddressbookgrantlee5:amd64 (4:16.04.2-2),
qml-module-org-kde-runnermodel:amd64 (5.28.0-1),
libkf5pimtextedit5:amd64 (16.04.2-1), kinfocenter:amd64 (4:5.8.4-1),
kaddressbook:amd64 (4:16.04.3-4), libkf5akonadicalendar5:amd64
(16.04.2-2), libkf5incidenceeditor5:amd64 (16.04.2-2+b2),
python-pyqt5.qtwebkit:amd64 (5.7+dfsg-5+b1),
kde-config-mailtransport:amd64 (16.04.2-3), kmail:amd64 (4:16.04.3-4),
libkf5akonadicontact5:amd64 (4:16.04.2-2), libkf5tnef5:amd64
(16.04.2-1), libkf5akonadiwidgets5:amd64 (4:16.04.3-5),
libkf5identitymanagement5:amd64 (16.04.2-1), plasma-integration:amd64
(5.8.6-1), libkf5purpose5:amd64 (1.1-5),
sddm-theme-debian-breeze:amd64 (4:5.8.7-1), libkolab1:amd64 (1.0.2-3),
libkf5libkleo5:amd64 (4:16.04.2-1), libkf5plasmaquick5:amd64
(5.28.0-2), libkf5webkit5:amd64 (5.28.0-1), kwin-x11:amd64
(4:5.8.7-1), digikam-private-libs:amd64 (4:5.3.0-1),
qml-module-org-kde-kwindowsystem:amd64 (5.28.0-1),
libkwin4-effect-builtins1:amd64 (4:5.8.7-1),
libkf5kdelibs4support5-bin:amd64 (5.28.0-2), plasma-framework:amd64
(5.28.0-2), libkf5libkdepim5:amd64 (4:16.04.2-3), konsole-kpart:amd64
(4:16.12.0-4), libkf5akonadicore5:amd64 (4:16.04.3-5),
libkf5iconthemes5:amd64 (5.28.0-2), qml-module-org-kde-kio:amd64
(5.28.0-1), kscreen:amd64 (4:5.8.5-2), calibre-bin:amd64
(3.4.0+dfsg-1), python-pyqt5:amd64 (5.7+dfsg-5+b1),
libkf5messagecore5:amd64 (4:16.04.3-3), akregator:amd64 (4:16.04.3-4),
libkf5mailcommon5:amd64 (4:16.04.2-2), libkf5pimcommon-plugins:amd64
(4:16.04.2-2), calibre:amd64 (3.4.0+dfsg-1), libkf5krossui5:amd64
(5.28.0-1), polkit-kde-agent-1:amd64 (4:5.8.4-1),
libkf5mailtransport5:amd64 (16.04.2-3), libqt5positioning5:amd64
(5.7.1-1), kde-config-screenlocker:amd64 (5.8.7-1), libkf5parts5:amd64
(5.28.0-1), libkf5parts-plugins:amd64 (5.28.0-1),
libkf5mailimporter5:amd64 (4:16.04.2-2), ktnef:amd64 (4:16.04.3-4),
libkf5xmlrpcclient5:amd64 (5.28.0-1),
qml-module-org-kde-kcoreaddons:amd64 (5.28.0-1), powerdevil:amd64
(4:5.8.4-1), kde-spectacle:amd64 (16.08.3-2), libpowerdevilcore2:amd64
(4:5.8.4-1), libkf5messagelist5:amd64 (4:16.04.3-3),
libkf5akonadiagentbase5:amd64 (4:16.04.3-5), ksysguard:amd64
(4:5.8.6-1), kwin-common:amd64 (4:5.8.7-1), baloo-kf5:amd64
(5.28.0-2), libkf5alarmcalendar5:amd64 (16.04.2-2),
qml-module-qtquick-controls-styles-breeze:amd64 (4:5.8.5-2),
libkf5khtml5:amd64 (5.28.0-2), plasma-widgets-addons:amd64
(4:5.8.5-2), libkf5kipi31.0.0:amd64 (4:16.08.2-1),
libweather-ion7:amd64 (4:5.8.7-1)
End-Date: 2017-08-16  11:31:30

On Wed, Aug 16, 2017 at 12:56 PM,  <nobrin@xxxxxxxxx> wrote:
> Hello,
>
> I just upgraded my system (Debian sid with main, contrib, non-free) to
> the most recent unstable version, running "apt-get update" and
> "apt-get dist-upgrade".
>
> Unfortunately, this uninstalled most of KDE, including
> "plasma-desktop", "kde-plasma-desktop", "konsole",  and many packages
> starting with "libkf5" and "libqt5".
> I've enclosed the relevant part of /var/log/apt/history.log at the end
> of this email.
>
> The last "apt-get dist-upgrade" was from two days ago, so I suspect
> some major change going with sid packages. Is it the case? Any ETA?
>
> (Is there any way to undo the last apt-get? Unfortunately, I don't
> have all the removed packages still in /var/cache/apt/archives)
>
> Thanks!
> Marco